Subject: bug#63875: 26.3; Doc of `dired-guess-shell-alist-user'

From: Drew Adams <[email-masked]>
Date: Sat, 3 Jun 2023 19:29:35 +0000

> > > > But it would be good, I think, to add that it's
> > > > not just about shell commands.  Some users will
> > > > not recognize that they can invoke executable
> > > > programs this way.
> > >
> > > Shell commands are a super-set of executable programs, so I see no
> > > reason to change anything here.  The variable is used to invoke
> > > commands via a shell, so "shell command" is exactly right.
> >
> > Yes, but many Emacs users won't know that.
> 
> Why wouldn't they? we have a chapter named "Running Shell Commands
> from Emacs" in the Emacs manual.  Typing "i shell commands RET" in
> Info brings you there.
> 
> I think you see a problem where there is none.

Is that Emacs manual node linked from the
Dired-x manual page that describes the option?

Is it linked from the *Help* output for the option?

Else it's unlikely that most users reading the doc
for the option will search for "shell commands"
in the Emacs manual.

Most users have likely heard of shell commands,
but it's not at all obvious that nonprogrammers
etc. will realize that mention of shell commands
in a description of this option will likely be of
use to them for associating files with apps.

That's the purpose of this option.  It would be
far clearer, and far easier for doc maintainers
and users of the doc, to simply add a brief
sentence or phrase to indicate that "shell
commands" here covers programs in general.

I've said enough to get the point across.  If
you don't want to fix this because a user has
the ability to go to the Emacs manual from
the doc string or from the Dired-X manual, and
look up "shell command" in the Emacs manual,
fine.